%% This program delivers the comparison between the submission and the recalculations

%% Input data

% Input variables definition
Directo = 'C:\example\example\';
FileName = 'example';

% Blank variables setting
Result = zeros(51,1);

%% Generate the recalculations

tic;

% Import                                                                  
                                
    % Import 'TB SBA'
    [num txt raw] = xlsread(strcat(Directo,FileName),'TB SBA','A1:IE196');
    isnum = cellfun(@isnumeric,raw);
    TBsba = NaN(size(raw));
    TBsba(isnum) = [raw{isnum}];
    TBsba(isnan(TBsba)) = 0;
        
    % Import the Unit
    Unit = xlsread(strcat(Directo,FileName),'General Info', 'C50');

% Name

    % Name of the bank
    Result (1,1) = 1111;
    j = 1;
    
% GIRR

    % GIRR bank data
    Result (2,j) = TBsba(39,6);
    Result (3,j) = TBsba(41,6);
    Result (4,j) = TBsba(42,6);
    Result (5,j) = TBsba(43,6);
    Result (6,j) = TBsba(44,6);
    
    % GIRR recalc SBA
    [delta, sca, scb, scc, curvature] = girr(TBsba,Unit,'Correlation parameters - TBG QIS');
    Result(7:11,j) = [delta, sca, scb, scc, curvature];
   
    warning('GIRR is done')
    
% CSR

    % CSR bank data
    Result (12,j) = TBsba(65,6);
    Result (13,j) = TBsba(67,6);
    Result (14,j) = TBsba(68,6);
    Result (15,j) = TBsba(69,6);
    Result (16,j) = TBsba(70,6);
    
    % CSR recalc SBA
    [delta, sca, scb, scc, curvature] = csr(TBsba,Unit,'Correlation parameters - TBG QIS');
    Result(17:21,j) = [delta, sca, scb, scc, curvature];
    
    warning('CSR is done')
    
% Equity

    % Equity bank data
    Result (22,j) = TBsba(89,6);
    Result (23,j) = TBsba(91,6);
    Result (24,j) = TBsba(92,6);
    Result (25,j) = TBsba(93,6);
    Result (26,j) = TBsba(94,6);    
    
    % Equity recalc SBA
    [delta, sca, scb, scc, curvature] = equity(TBsba,Unit,'Correlation parameters - TBG QIS');
    Result(27:31,j) = [delta, sca, scb, scc, curvature];

    warning('Equity is done')

% Commodity

    % Commodity bank data
    Result (32,j) = TBsba(113,6);
    Result (33,j) = TBsba(115,6);
    Result (34,j) = TBsba(116,6);
    Result (35,j) = TBsba(117,6);
    Result (36,j) = TBsba(118,6);     
    
    % Commodity recalc SBA
    [delta, sca, scb, scc, curvature] = commodity(TBsba,Unit,'Correlation parameters - TBG QIS');
    Result(37:41,j) = [delta, sca, scb, scc, curvature];
    
    warning('Commodity is done')

% FX

    % FX bank data
    Result (42,j) = TBsba(159,6);
    Result (43,j) = TBsba(161,6);
    Result (44,j) = TBsba(162,6);
    Result (45,j) = TBsba(163,6);
    Result (46,j) = TBsba(164,6);
    
    % FX recalc SBA
    [delta, sca, scb, scc, curvature] = fx(TBsba,Unit,'Correlation parameters - TBG QIS');
    Result(47:51,j) = [delta, sca, scb, scc, curvature];

    warning('FX is done')
 
toc
